Get the instance configuration
GET
What the web app needs before sign-in: the sign-up policy, the social sign-in providers, whether MCP (and its OAuth) and session replay are available, the map settings and the version.
Public: no credential needed.
OK
application/json- response
data*curl -X GET 'https://pilotfox.app/api/v1/config'Example Response200
{ "data": { "signupPolicy": "invite_only", "socialProviders": [ "string" ], "mcpEnabled": true, "mcpOAuth": true, "replayAvailable": true, "maps": { "defaultProvider": "maplibre", "providers": { "maplibre": { "styleUrl": "string", "styleUrlDark": "string", "attributions": [ "string" ] }, "mapbox": { "accessToken": "string", "styleUrl": "string", "attributions": [ "string" ] } }, "boundaries": { "tiles": [ "string" ], "minzoom": 0, "maxzoom": 0, "sourceLayers": { "countries": "countries", "regions": "regions" }, "promoteId": "code" }, "attributions": [ "string" ] }, "version": "string" }}